*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body{
    min-height: 100vh;
    display: flex;
    flex-direction: column;
    font-family: "Helvetica Neue", sans-serif;
    background: #f7f7f7;
}

/* Header */
header{
    background: #fff;
    height: 110px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-bottom: 3px solid #d9d316;
}

.logo img{
    width: 100px;
}

/* Main Section */
.coming-soon{
    flex: 1; /* takes remaining space */
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;
    padding: 40px 20px;
}

.coming-soon h1{
    font-size: 70px;
    letter-spacing: 8px;
    color: #000;
}

.line{
    width: 180px;
    height: 3px;
    background: #d9d316;
    margin: 25px 0;
}

.coming-soon p{
    color: #666;
    line-height: 30px;
    margin-bottom: 35px;
}

.explore-btn{
    background: #d9d316;
    padding: 15px 40px;
    cursor: pointer;
    letter-spacing: 2px;
}

/* Footer */
.footer{
    background: #000;
    border-top: 3px solid #d9d316;
    padding: 25px 10%;
    display: flex;
    justify-content: center;
    gap: 120px;
    flex-wrap: wrap;
}

.footer-column h3{
    color: #d9d316;
    margin-bottom: 15px;
}

.social-links{
    display: flex;
    flex-direction: column;
    gap: 10px;
}

.social-links a,
.footer-column a{
    color: white;
    text-decoration: none;
}

.social-links a:hover,
.footer-column a:hover{
    color: #d9d316;
}